Subject: bug#47375: guix test failure: tests/print

From: Léo Le Bouter <[email-masked]>
Date: Sun, 28 Mar 2021 18:31:03 +0200

On Sun, 2021-03-28 at 18:25 +0200, Ludovic Courtès wrote:
> When updating the ‘guix’ package, what you need to run is:
> 
>   ./pre-inst-env guix build guix
> 
> It’s similar to other packages.
> 
> In general, we update it when there are changes to the daemon and its
> helper programs (‘guix substitute’, etc.).  These are pretty much the
> only reasons to update it.

Thanks will make sure to do that. I was a bit tired and I think I
misunderstood something in a discussion with Lfam on IRC that made me
only run 'guix pull' and restart guix-daemon.

Note, the reason I upgraded the 'guix' package here was to fix 'guix
pull' from older installations on powerpc64le-linux machines of mine.

Léo